// ==========================================
// Headings
// Note: Changes here must also be applied to editor/_headings.scss
// ==========================================
@use "../../../../../../node_modules/sass-rem/rem";
@use "../../utilities/variables/" as v;

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: v.$headings--font-family;
    font-weight: 400;
    line-height: v.$headings--line-height;
    margin: 0 0 20px;

    @media print {
        orphans: 3;
        page-break-after: avoid;
        page-break-inside: avoid;
        widows: 3;
    }
}

h1 {
    font-size: rem.convert(v.$h1--font-size);
}

h2 {
    font-size: rem.convert(v.$h2--font-size);

    @media print {
        orphans: 3;
        widows: 3;
    }
}

h3 {
    font-size: rem.convert(v.$h3--font-size);

    @media print {
        orphans: 3;
        widows: 3;
    }
}

h4 {
    font-size: rem.convert(v.$h4--font-size);
}

h5 {
    font-size: rem.convert(v.$h5--font-size);
}

h6 {
    font-size: rem.convert(v.$h6--font-size);
}
